package com.ruoyi.system.service.notice;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.notice.InfoPinglun;
import com.ruoyi.system.domain.notice.XiaoyuanInfo;

import java.util.List;

/**
 * 校园安全信息Service接口
 * 
 * @author boman
 * @date 2023-08-01
 */
public interface IXiaoyuanInfoService 
{
    /**
     * 查询校园安全信息
     * 
     * @param infoId 校园安全信息主键
     * @return 校园安全信息
     */
    public XiaoyuanInfo selectXiaoyuanInfoByInfoId(Long infoId);

    /**
     * 查询校园安全信息列表
     * 
     * @param xiaoyuanInfo 校园安全信息
     * @return 校园安全信息集合
     */
    public List<XiaoyuanInfo> selectXiaoyuanInfoList(XiaoyuanInfo xiaoyuanInfo);

    /**
     * 新增校园安全信息
     * 
     * @param xiaoyuanInfo 校园安全信息
     * @return 结果
     */
    public int insertXiaoyuanInfo(XiaoyuanInfo xiaoyuanInfo);

    /**
     * 新增校园安全信息评论
     * @param infoPinglun
     * @return
     */
    public int insertInfoPingLun(InfoPinglun infoPinglun);

    /**
     * 删除评论
     * @param infoPinglun
     * @return
     */
    public int deletePingLun(InfoPinglun infoPinglun);

    /**
     * 修改校园安全信息
     * 
     * @param xiaoyuanInfo 校园安全信息
     * @return 结果
     */
    public int updateXiaoyuanInfo(XiaoyuanInfo xiaoyuanInfo);

    /**
     * 点赞接口
     * @param xiaoyuanInfo
     * @return
     */
    public AjaxResult dianZan(XiaoyuanInfo xiaoyuanInfo);

    /**
     * 转发接口
     * @param xiaoyuanInfo
     * @return
     */
    public AjaxResult zhuanFa(XiaoyuanInfo xiaoyuanInfo);

    /**
     * 批量删除校园安全信息
     * 
     * @param infoIds 需要删除的校园安全信息主键集合
     * @return 结果
     */
    public int deleteXiaoyuanInfoByInfoIds(Long[] infoIds);

    /**
     * 删除校园安全信息信息
     * 
     * @param infoId 校园安全信息主键
     * @return 结果
     */
    public int deleteXiaoyuanInfoByInfoId(Long infoId);
}
